3v4l.org

run code in 150+ php & hhvm versions
Bugs & Features
<?php function test(){ try { echo '1'; throw new Exception('2'); } catch (Exception $e) { echo $e->getMessage(); return 'test'; } finally { echo 'finally'; return 'truc'; } } echo test();
based on nI0lQ
Output for 5.5.0 - 5.6.28, 7.0.0 - 7.1.0
12finallytruc
Output for hhvm-3.12.0
Fatal error: Uncaught Error: Return inside a finally block is not supported in /in/NrMOp:11 Stack trace: #0 {main}
Process exited with code 255.
Output for hhvm-3.10.0
Fatal error: Return inside a finally block is not supported in /in/NrMOp on line 11
Process exited with code 255.
Output for 5.1.0 - 5.4.45
Parse error: syntax error, unexpected '{' in /in/NrMOp on line 9
Process exited with code 255.
Output for 5.0.0 - 5.0.5
Parse error: parse error, unexpected '{' in /in/NrMOp on line 9
Process exited with code 255.
Output for 4.4.2 - 4.4.9
Parse error: syntax error, unexpected '{' in /in/NrMOp on line 3
Process exited with code 255.
Output for 4.3.0 - 4.3.1, 4.3.5 - 4.4.1
Parse error: parse error, unexpected '{' in /in/NrMOp on line 3
Process exited with code 255.
Output for 4.3.2 - 4.3.4
Parse error: parse error in /in/NrMOp on line 3
Process exited with code 255.